cargo (0.54.0-0ubuntu1~20.04.1) focal; urgency=medium

  [ Michael Hudson-Doyle ]
  * Backport to Focal. (LP: #1943842)
  * Drop change to -march on armhf.
  * Disable the lto::doctest on i386 too.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 29 Oct 2021 13:10:14 +0200

cargo (0.54.0-0ubuntu1) UNRELEASED; urgency=medium

  * Update debian/watch file to account for GitHub changes.
  * New upstream version.
  * Update patches.
  * Cherry pick 2112-handle-4-siphasher-algorithms.patch from Debian.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 27 Oct 2021 10:18:02 +1300

cargo (0.53.0-0ubuntu2) jammy; urgency=medium

  * Disable lto::test_profile test on i386.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 26 Oct 2021 11:17:40 +1300

cargo (0.53.0-0ubuntu1) jammy; urgency=medium

  * Do not exclude libgit2 source from libgit2-sys crate.
  * New upstream version.
  * Update patches.
  * Set -march appropriately on armhf.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Oct 2021 16:19:48 +1300

cargo (0.52.0-0ubuntu1) impish; urgency=medium

  * New upstream version.
  * Backport patch from upstream to fix failure with new version of 'tar'
    crate.
  * Add another patch from upstream

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 12 Jul 2021 22:31:53 +1200

cargo (0.51.0-0ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
  * New upstream release. (LP: #1915722)
  * Dropped changes:
    - Embed libgit2 1.0.0 which is not yet in Debian or Ubuntu. (Hirsute
      has a new enough libgit2)
    - d/patches/0001-relax-deprecated-diagnostic-message-check.patch,
      d/patches/u-8713.patch: included in upstream release.
  * d/patches/skip-filter_platform-non-amd64.patch: skip a test that fails on
    non amd64 platforms, see https://github.com/rust-lang/cargo/issues/9238.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 08 Mar 2021 09:10:26 +1300

cargo (0.47.0-3) unstable; urgency=medium

  * Disable close_output test for now, it is flaky. This is a test problem not
    a cargo problem and will be re-enabled in 0.49.0.

 -- Ximin Luo <infinity0@debian.org>  Tue, 08 Dec 2020 01:43:58 +0000

cargo (0.47.0-2) unstable; urgency=medium

  * Backport a patch to fix a test on i386.
  * Add +xgot to work around mips64el limitations.

 -- Ximin Luo <infinity0@debian.org>  Tue, 08 Dec 2020 00:29:08 +0000

cargo (0.47.0-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #976434)

 -- Ximin Luo <infinity0@debian.org>  Sun, 06 Dec 2020 12:39:49 +0000

cargo (0.47.0-1~exp1ubuntu1) hirsute; urgency=medium

  * Merge from Debian experimental (LP: #1901571): Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Embed libgit2 1.0.0 which is not yet in Debian or Ubuntu.
      - add debian/libgit2
      - add debian/patches/use-system-libhttp-parser.patch
      - update debian/control
      - update debian/copyright
      - update debiab/patches/series
      - update debian/README.source
      - update debian/rules
  * d/patches/0001-relax-deprecated-diagnostic-message-check.patch:
    backport fix for tests that fail with rustc 1.47 from upstream.
  * d/patches/skip-filters_target-i386.patch: skip a test that fails on
    i386 for silly reasons.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 09 Dec 2020 10:58:12 +1300

cargo (0.47.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 02 Oct 2020 02:04:10 +0100

cargo (0.44.1-0ubuntu1) groovy; urgency=medium

  * New upstream version. (LP: #1876942)
  * Update scripts/debian-cargo-vendor to invoke python3 and cope with V2
    format Cargo.lock files.
  * Refresh patches.
  * Embed libgit2 1.0.0 which is not yet in Debian or Ubuntu.
    - add debian/libgit2
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/control
    - update debian/copyright
    - update debiab/patches/series
    - update debian/README.source
    - update debian/rules

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 24 Jun 2020 12:40:56 +1200

cargo (0.43.1-4) unstable; urgency=medium

  * Team upload.
  * Fix build by applying two upstream patches. (Closes: #975857)

 -- Jan Niehusmann <jan@debian.org>  Sat, 28 Nov 2020 11:07:20 +0100

cargo (0.43.1-3ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable (LP: #1876942): Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 May 2020 21:14:18 +1200

cargo (0.43.1-3) unstable; urgency=medium

  * Reupload, actually include the fix described in the previous entry.

 -- Ximin Luo <infinity0@debian.org>  Mon, 20 Apr 2020 14:30:01 +0100

cargo (0.43.1-2) unstable; urgency=medium

  * cargo-debian-wrapper: don't install /usr/.crates2.json. (Closes: #958301)

 -- Ximin Luo <infinity0@debian.org>  Mon, 20 Apr 2020 13:30:57 +0100

cargo (0.43.1-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 Apr 2020 19:54:01 +0100

cargo (0.42.0-0ubuntu2) groovy; urgency=medium

  * Cherry-pick commit from Debian to remove /usr/.crates2.json (LP: #1868517)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 29 Apr 2020 13:28:25 +0200

cargo (0.42.0-0ubuntu1) focal; urgency=medium

  * New upstream version. (LP: #1864174)
  * d/scripts/debian-cargo-vendor: use python3 not python.
  * d/patches/2002_disable-net-tests.patch: delete, tests no longer run
    as part of build.
  * Refresh other patches.
  * d/patches/0001-Fix-tests-with-url-crate-update.patch: backport test
    fix from upstream.
  * d/patches/0002-Fix-doc_target-test-which-no-longer-works-on-stable-.patch:
    backport another test fix from upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 03 Mar 2020 07:45:01 +0100

cargo (0.41.0-0ubuntu1) focal; urgency=medium

  * "Merge" from Salsa merge request updating to 0.41.0
    https://salsa.debian.org/rust-team/cargo/-/merge_requests/3.
    Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
  * Dropped change, libstd bug fixed:
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
  * Dropped change, equivalent change now in Debian:
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
  * Dropped change, test no longer run by upstream build:
   - Disable the large_conflict_cache test on non-x86
     - add debian/patches/disable-large_conflict_cache-test-on-non-x86.patch
     - update debian/patches/series
  * Disable filter_platform test on !x86 as it hits an unreachable!
    - add debian/patches/disable-filter_platform-test-on-non-x86.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 02 Mar 2020 08:08:51 +0100

cargo (0.40.0-3ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:56:41 +0000

cargo (0.40.0-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables
      these tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Disable the large_conflict_cache test on non-x86
      - add debian/patches/disable-large_conflict_cache-test-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
  * Dropped changes, included in Debian:
    - d/patches/0001-Don-t-fail-if-we-can-t-acquire-readonly-lock.patch,
      d/patches/1001_vendor_serde_atomic-compat.patch: remove, applied
      upstream
    - d/patches/2001_more_portable_rustflags.patch: Delete, applied
      upstream.
  * Dropped changes, included upstream:
    - Cherry pick fixes to tests for compatibility with toml 0.5.3.
  * Drop bundled libgit2, as Ubuntu now has 0.28.3 which meets the minimum
    requirements.
  * Bump the versioned build-dependency on libgit2-dev.
  * debian/patches/disable-fetch-tests-on-non-x86.patch: update.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Jan 2020 11:51:55 -0800

cargo (0.40.0-3) unstable; urgency=medium

  * debian cargo wrapper: drop DEB_CARGO_PACKAGE in favour of the more
    standardised DESTDIR.
  * Experimental riscv64 support.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jan 2020 13:31:46 +0000

cargo (0.40.0-2) unstable; urgency=medium

  * Restore patch for pkg-config crate to auto-detect Debian cross-compiling.
  * Add patch for backtrace-sys to auto-detect Debian cross-compiling.

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Dec 2019 22:31:57 +0000

cargo (0.40.0-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Ship the zsh completion (Closes: #941437)

  [ Ximin Luo ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 28 Nov 2019 10:24:46 +0000

cargo (0.39.0+really0.39.0-0ubuntu1) focal; urgency=medium

  * Restore Cargo 0.39 now that the rustc update is done.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Nov 2019 22:49:40 +1300

cargo (0.39.0+really0.38.0-0ubuntu1) focal; urgency=medium

  * Re-upload Cargo 0.38 as Cargo 0.39 blocks the bootstrap of rustc 1.38.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 12 Nov 2019 14:01:50 +1300

cargo (0.39.0-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * d/patches/2001_more_portable_rustflags.patch: Delete, applied
    upstream.
  * Refresh other patches.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 29 Oct 2019 21:09:18 +1300

cargo (0.38.0-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * d/patches/0001-Don-t-fail-if-we-can-t-acquire-readonly-lock.patch,
    d/patches/1001_vendor_serde_atomic-compat.patch: remove, applied
    upstream
  * Refresh other patches.
  * Embed libgit2 at the commit bundled by libgit2 0.8.2 (e3adc99), as
    it depends on a newer version than that found in Ubuntu today, with
    some binary test-only files removed.
    - add debian/libgit2
    - update debian/control
    - update debian/copyright
    - update debian/rules
    - update debian/README.source
  * Hack the libgit2-sys build process to link the bundled libgit2
    against the system's libhttp_parser.
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/patches/series
  * Cherry pick fixes to tests for compatibility with toml 0.5.3.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 25 Oct 2019 21:45:58 +1300

cargo (0.37.0-3ubuntu2) eoan; urgency=medium

  * Backport fix causing build failures when $HOME was not writable.
    - add debian/patches/0001-Don-t-fail-if-we-can-t-acquire-readonly-lock.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 27 Aug 2019 20:33:21 +1200

cargo (0.37.0-3ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
   - Disable the large_conflict_cache test on non-x86
     - add debian/patches/disable-large_conflict_cache-test-on-non-x86.patch
     - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 17 Aug 2019 13:57:21 +1200

cargo (0.37.0-3) unstable; urgency=medium

  * Update 2001_more_portable_rustflags.patch, fixes mips FTBFS

 -- Ximin Luo <infinity0@debian.org>  Sat, 20 Jul 2019 16:02:08 -0700

cargo (0.37.0-2) unstable; urgency=medium

  * Bump serde vendored crate version up to 1.0.96 to avoid issue when
    compiling with atomics (the default).

 -- Ximin Luo <infinity0@debian.org>  Thu, 18 Jul 2019 02:34:48 -0700

cargo (0.37.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 16 Jul 2019 23:06:49 -0700

cargo (0.36.0-0ubuntu1) eoan; urgency=medium

  * New upstream version.
    - Refreshed patches.
    - Remove d/patches/typenum-rounding.patch, applied upstream.
    - Add d/patches/disable-large_conflict_cache-test-on-non-x86.patch

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 08 Jul 2019 14:11:59 +0200

cargo (0.35.0-2) unstable; urgency=medium

  * Use more portable flags in tests, fixing FTBFS on mips.
    (Closes: #930218)

 -- Ximin Luo <infinity0@debian.org>  Sat, 08 Jun 2019 11:04:43 -0700

cargo (0.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 31 May 2019 00:29:11 -0700

cargo (0.35.0-0ubuntu1) eoan; urgency=medium

  * New upstream version.
    - Refresh patches.
    - Remove d/patches/1003_increase_timeout_for_slow_arches_like_mips.patch,
      no longer needed.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 May 2019 11:25:23 +1200

cargo (0.34.0-0ubuntu1) eoan; urgency=medium

  * New upstream version.
    - Refresh patches.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 May 2019 11:14:06 +1200

cargo (0.33.0-3) unstable; urgency=medium

  * Drop patch to capture rustc error output, it is unnecessary.
  * Add upstream patch to fix typenum bug.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 20:22:22 -0700

cargo (0.33.0-2) unstable; urgency=medium

  * Add patch to capture rustc error output if extra-verbose.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 12:14:38 -0700

cargo (0.33.0-1ubuntu2) disco; urgency=medium

  * Fix a rounding issue in vendor/typenum.
    - add debian/patches/typenum-rounding.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Mar 2019 10:00:18 +1300

cargo (0.33.0-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
  * Dropped change:
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Feb 2019 10:49:58 +1300

cargo (0.33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 05 Feb 2019 20:52:47 -0800

cargo (0.32.0-2~exp1) experimental; urgency=medium

  * Drop patch 2007, for disabling incremental build on sparc64.
    Closes: bug#917048, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Feb 2019 13:16:13 +0530

cargo (0.32.0-1) unstable; urgency=medium

  * debian-cargo-wrapper: Support DEB_CARGO_INSTALL_PREFIX for installing into
    somewhere other than /usr, e.g. / or /usr/lib/cargo.
  * Move dev scripts from /usr/share/cargo into /usr/share/cargo/scripts.
  * Increase yet another timeout duration for slower architectures.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Jan 2019 00:29:51 -0800

cargo (0.32.0-1~exp3) experimental; urgency=medium

  [ Matt Kraai ]
  * Rename bash completion script so that it's used.

  [ Ximin Luo ]
  * Further increase a timeout duration for mips.
  * debian-cargo-wrapper: add --link-to-system option

 -- Ximin Luo <infinity0@debian.org>  Wed, 23 Jan 2019 19:44:05 -0800

cargo (0.32.0-1~exp2) experimental; urgency=medium

  * Try to deal with the various test failures as suggested by upstream.

 -- Ximin Luo <infinity0@debian.org>  Tue, 22 Jan 2019 20:08:29 -0800

cargo (0.32.0-1~exp1ubuntu1) disco; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Jan 2019 12:45:10 +1300

cargo (0.32.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo will now download crates in parallel using HTTP/2.
  * You can now rename packages in your Cargo.toml We have a guide on how
    to use the package key in your dependencies.

  [ Vasudev Kamath ]
  * Fix the scripts related to tarball creation
  * Update unsuspicious file list for 0.32.0
  * Update copyright information for 0.32.0.
  * Add lintian-override for source-is-missing, for javascript file from
    vendored crate documentation. File is not really shipped.

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 12 Dec 2018 21:47:42 +0530

cargo (0.31.1-1) unstable; urgency=medium

  * Upload 0.31.1 to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 11 Dec 2018 20:57:21 +0530

cargo (0.31.1-1~exp1) experimental; urgency=medium

  [ upstream ]
  * [1.30.0] Backport msys progress bar fix for stable.

  [ Ximin Luo ]
  * debian-cargo-vendor: only store differences between vendor-patches and
    debcargo-conf.

  [ Vasudev Kamath ]
  * Do not delete Cargo.lock in debian-cargo-vendor script as its
    referenced later in make_orig_multi.sh.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 11 Dec 2018 20:53:53 +0530

cargo (0.31.0-4) unstable; urgency=medium

  * Don't set RUSTFLAGS in d/rules. (Closes: #914110)

 -- Ximin Luo <infinity0@debian.org>  Mon, 19 Nov 2018 22:50:59 -0800

cargo (0.31.0-3ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Nov 2018 17:42:39 +1300

cargo (0.31.0-3) unstable; urgency=medium

  * Tweak the cargo wrapper script to be more robust.

 -- Ximin Luo <infinity0@debian.org>  Fri, 09 Nov 2018 02:56:54 -0800

cargo (0.31.0-2) unstable; urgency=medium

  * Fix test failure on some architectures due to hash ordering.
  * Bump libgit2 dependency version constraint. (Closes: #899038)

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 11:32:26 -0800

cargo (0.31.0-1) unstable; urgency=medium

  * Don't run tests when doing arch-indep build.
  * Fix package include/exclude tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 10:10:24 -0800

cargo (0.31.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Simplify build scripts and add a Debian wrapper for cargo.

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 03:50:33 -0800

cargo (0.30.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 21 Oct 2018 11:59:11 +0530

cargo (0.30.0-1~exp1ubuntu1) cosmic; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/control
      - update debian/rules
      - update debian/make_orig_multi.sh
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      - update debian/control
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      - update debian/control
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      - update debian/patches/2002_disable-net-tests.patch
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 17 Oct 2018 23:19:54 +1300

cargo (0.30.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo can silently fix some bad lockfiles You can use --locked to
    disable this behaviour.
  * cargo-install will now allow you to cross compile an install using
    --target.
  * Added the cargo-fix subcommand to automatically move project code from
    2015 edition to 2018.

  [ Vasudev Kamath ]
  * Refresh patch 2004 for new release.
  * Add openssl crates fuzz,test doc and apps file to unsuspicious list.
  * debian/patches:
    + Drop patch 0774e97da3894f07ed5b6f7db175027a9bc4718b.patch for adding
      cross compile support. Its merged upstream.
    + Refresh patch 2001 to newer version of libgit2-sys.
    + Refresh patch 2003 to newer version of libssh2-sys.
    + Drop patch 1001 which is merged upstream.
    + Refresh patch 2005 and 2007 to remove fuzz.
    + Refresh patch 2002 with newer release.
  * debian/control:
    + Mark package compliance with Debian policy 4.2.1.
  * Update copyright information for new release.
  * debian/rules:
    + Use DEB_BUILD_OPTIONS to disable tests on powerpc and powerpcspe
      architecture.
      Closes: bug#908961, Thanks to Helmut Grohne.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 07 Oct 2018 10:39:49 +0530

cargo (0.29.0-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/control
      - update debian/rules
      - update debian/make_orig_multi.sh
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      - update debian/control
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      - update debian/control
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      - update debian/patches/2002_disable-net-tests.patch
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Aug 2018 17:10:23 +0100

cargo (0.29.0-1) unstable; urgency=medium

  * Merge changes of 0.28.0-2, which was missed in first release of 0.29.0
  * Upload to unstable.
  * Refresh patch for `install --target` feature for release 0.29.0

 -- Vasudev Kamath <vasudev@copyninja.info>  Mon, 13 Aug 2018 20:37:13 +0530

cargo (0.29.0-1~exp1) experimental; urgency=medium
  [ upstream ]
  * Cargo will now no longer allow you to publish crates with build
    scripts that modify the src directory. The src directory in a crate
    should be considered to be immutable.

  [ Vasudev Kamath ]
  * Update unsuspicious text for new release 0.29.0
  * Change pattern for embedded zlib
  * debian/patches:
    + Refresh patches 2001, 2002, 2003, 2004 to work with new release and
      new vendor files.
    + Add patch 1001 to fix deprecated warnings on usage of "casues" from
      failure crate,
  * Update copyright information for new release.
  * Make package compliant with policy 4.2.0.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 12 Aug 2018 22:25:42 +0530

cargo (0.28.0-2) unstable; urgency=medium

  * Re-add `install --target` functionality, needed by dh-cargo.

 -- Ximin Luo <infinity0@debian.org>  Sun, 12 Aug 2018 00:15:23 -0700

cargo (0.28.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 07 Aug 2018 22:14:46 +0530

cargo (0.28.0-1~exp3) experimental; urgency=medium

  * Disable incremental compilation tests on sparc64 architecture.
    Closes: bug#905623, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 07 Aug 2018 22:01:31 +0530

cargo (0.28.0-1~exp2) experimental; urgency=medium

  * Add patch 2005 to disable fetch_platform_specific_dependencies unit
    tests. Upstream issue #5864.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 05 Aug 2018 17:17:00 +0530

cargo (0.28.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * cargo-metadata now includes authors, categories, keywords, readme, and
    repository fields.
  * cargo-metadata now includes a package's metadata table.
  * Added the --target-dir optional argument. This allows you to specify a
    different directory than target for placing compilation artifacts.
  * Cargo will be adding automatic target inference for binaries,
    benchmarks, examples, and tests in the Rust 2018 edition. If your
    project specifies specific targets e.g. using [[bin]] and have other
    binaries in locations where cargo would infer a binary, Cargo will
    produce a warning. You can disable this feature ahead of time by
    setting any of the following autobins, autobenches, autoexamples,
    autotests to false.
  * Cargo will now cache compiler information. This can be disabled by
    setting CARGO_CACHE_RUSTC_INFO=0 in your environment.

  [ Sylvestre Ledru ]
  * Update of the alioth ML address.

  [ Vasudev Kamath ]
  * Update README.source to mention preferred way of upload.
  * Update unsuspicious files for new release.
  * debian/patches:
    + Refresh patch 2007 for new release.
    + Refresh patch 2001 for new version of libgit2-sys
    + Drop patch 2008 as its merged upstream.
    + Add patch 2003 for forcing use of libssh2 from system, which was now
      controlled by environment variable.
  * debian/copyright:
    + Update copyright information for new release.
  * Mark package compliance with Debian Policy 4.1.5.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 29 Jul 2018 22:07:36 +0530

cargo (0.28.0-0ubuntu3) cosmic; urgency=medium

  * Update to 0.28.0
  * Refresh patches
    - update debian/patches/2007_sparc64_disable_incremental_build.patch
    - update debian/patches/2001_use-system-libgit2.patch
    - update debian/patches/2008_support-cross-compile-install.patch
  * Disable fetch tests on non x86/x86-64 architectures, as those hit an
    unreachable!() in test code
    - add debian/patches/disable-fetch-tests-on-non-x86.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 09 Jul 2018 19:20:26 +0100

cargo (0.27.0-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      + update debian/control
      + update debian/rules
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      + update debian/control
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      + update debian/patches/2002_disable-net-tests.patch
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Jun 2018 17:33:32 +0100

cargo (0.27.0-2) unstable; urgency=medium

  * Support cross-compile install (upstream PR #5614).

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Jun 2018 22:35:30 -0700

cargo (0.27.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 03 Jun 2018 20:42:13 +0530

cargo (0.27.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo will now output path to custom commands when -v is passed with
    --list.
  * Cargo binary version is now same as the Rust version.
  * Cargo.lock files are now included in published crates.

  [ Vasudev Kamath ]
  * Update  patch 2004 for the new release.
  * Add files from clap and vec_map to unsuspicious list.
  * debian/patches:
    + Update path to libgit2-sys in patch 2001.
    + Adjust file name and paths to test files to be patched in patch
      2002.
    + Drop all unused imports and comment out functions not just drop
      #[test] in patch 2002.
    + Drop patch 1001 as its now part of new cargo release.
    + Refresh patch 2007.
  * debian/copyright:
    + Update copyright information for new vendored crates.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Jun 2018 15:10:38 +0530

cargo (0.27.0-0ubuntu2) cosmic; urgency=medium

  * Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
    checkouts now, and it no longer builds against 0.25.1.0
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 31 May 2018 14:38:59 +0000

cargo (0.27.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (0.27.0)
  * Refresh patches
    - update debian/patches/2001_use-system-libgit2.patch
    - update debian/patches/2002_disable-net-tests.patch
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are fixed upstream
    - remove debian/patches/1001_PR5012.patch
    - remove debian/patches/use-local-index-in-tests.patch
    - update debian/patches/series

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      + update debian/control
      + update debian/rules
    - Update a test to not clone the real index, as this doesn't work in
      Launchpad builds
      + add debian/patches/use-local-index-in-tests.patch
      + update debian/patches/2002_disable-net-tests.patch to not disable the
        test
      + update debian/patches/series
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules
    - Add "#[allow(dead_code)]" to commented out test functions so that
      compilation doesn't fail
      + update debian/patches/2002_disable-net-tests.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 May 2018 22:20:39 +0100

cargo (0.26.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 01 May 2018 13:02:05 +0530

cargo (0.26.0-1~exp1) experimental; urgency=medium

  [upstream]
  * cargo new now defaults to create binary crate instead of library
    crate.
  * cargo new will no longer name crates with name starting with rust- or
    ending with -rs.
  * cargo doc is faster as it uses cargo check instead of full rebuild.

  [Vasudev Kamath]
  * Refresh the patch 2004 against newer Cargo.toml
  * Mark package compliance with Debian Policy 4.1.4
  * debian/patches:
    + Drop patch 2003 and 2005, the doc should be built from source using
      mdbook.
    + Drop patch 2006, the wasm32 related test seems to be dropped
      upstream.
    + Drop patch 1002, merged upstream.
    + Add tests/generate_lock_file.rs to patch 2002 to disable
      no_index_update test, this tries to access network.
    + Refresh patch 1001 with new upstream release.
  * debian/rules: disable execution of src/ci/dox.sh, this script is no
    longer present in new release.
  * debian/copyright:
    + Add copyright for humantime crate.
    + Add copyright for lazycell crate.
    + Add copyright for quick-error crate
    + Add copyright for proc-macro2 crate.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 21 Apr 2018 20:59:39 +0530

cargo (0.25.0-3) unstable; urgency=medium

  [ Ximin Luo ]
  * Update Vcs-* fields to salsa

  [ Vasudev Kamath ]
  * Add patch to prevent incremental builds on sparc64.
    Closes: bug#895300, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 15 Apr 2018 12:28:29 +0530

cargo (0.25.0-2) unstable; urgency=medium

  [ Ximin Luo ]
  * Depend on rustc 1.24 or later.
  * Backport a patch to not require dev-dependencies when not needed.

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 22 Mar 2018 20:08:17 +0530

cargo (0.26.0-0ubuntu2) bionic; urgency=medium

  * Fix missing quotes in debian/rules, which resulted in all test failures
    being ignored
  * Update a test to not clone the real index, as this doesn't work in
    Launchpad builds
    - add debian/patches/use-local-index-in-tests.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 Apr 2018 15:38:39 +0100

cargo (0.26.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (0.26.0)

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are no longer needed or fixed upstream
    - remove debian/patches/2003_local-jquery.patch
    - remove debian/patches/1002_fix_typo_cargo_search.patch
    - remove debian/patches/2005_dont_run_mdbook.patch
    - remove debian/patches/2006_disable_wasm32_tests.patch
    - update debian/patches/series
  * Drop an extra step which is no longer needed when building the
    documentation now
    - update debian/rules
  * Drop the unneeded dependency on libjs-jquery from cargo-doc
    - update debian/control
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 13 Apr 2018 18:52:29 +0100

cargo (0.25.0-1ubuntu1) bionic; urgency=medium

  [ Rico Tzschichholz ]
  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Mar 2018 18:02:48 +0000

cargo (0.25.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Fri, 09 Mar 2018 21:09:38 +0530

cargo (0.25.0-1~exp2) experimental; urgency=medium

  * Disable test running on powerpc and powerpcspe for now. Will be
    enabled once issue in test suites are fixed.
    Request from John Paul Adrian Glaubitz in IRC.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 25 Feb 2018 10:27:23 +0530

cargo (0.25.0-1~exp1) experimental; urgency=medium

  [upstream]
  * Added a workspace.default-members config that overrides implied --all
    in virtual workspaces.
  * Enable incremental by default on development builds.

  [ Vasudev Kamath ]
  * debian/vendor-tarball-filter.txt: Filter out git test data from
    libgit2-sys crate.
  * debian/vendor-tarball-unsusupiciousAudit unsuspicious files for 0.25.0
    release.
  * debian/make_orig_multi.sh: Make sure we take filter and unsuspiciaus
    texts from debian folder.
  * debian/patches:
    + Drop patch 0001 it is merged upstream.
    + Fix the typo in description of patch 2006.
  * Drop source/lintian-override. README under patches directory is no
    longer considered as a patch file by lintian.
  * debian/copyright:
    + Drop unused vendor crates copyright information.
    + Add new crates copyright information to copyright.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 24 Feb 2018 14:43:48 +0530

cargo (0.24.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 07 Feb 2018 18:12:25 +0000

cargo (0.24.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sat, 27 Jan 2018 10:41:06 +0100

cargo (0.24.0-1~exp1) experimental; urgency=medium

  [upstream]
  * Supports uninstallation of multiple crates.
  * `cargo check` unit testing.
  * Install  a specific version using `cargo install --version`

  [ Vasudev Kamath ]
  * Update vendor-tarball-unsuspicious.txt vendor-tarball-filter.txt for
    new upstream release.
  * debian/control:
    + Mark package compliance with Debian Policy 4.1.3.
  * debian/patches:
    + Update patch 2001 to work with libgit2-sys-0.6.19.
    + Update 1002 patch to drop url crate specific hunk as its merged
      upstream.
    + Add patch 0001 to fix bad_git_dependency test failure.
  * debian/copyright:
    + Add new vendor crates to copyright.
    + Track rustfmt.toml in top level copyright section.
  * Add lintian-override for ignoring README from
    patch-file-present-but-not-mentioned-in-series tag.

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 25 Jan 2018 14:57:43 +0530

cargo (0.23.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Mark package as compliant with Debian Policy 4.1.2.
    No change required to source.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 10 Dec 2017 15:33:55 +0530

cargo (0.23.0-1~exp1) experimental; urgency=medium

  * [upstream]
    + Cargo will now build multi file examples in subdirectories of the
      examples folder that have a main.rs file.
    + Changed [root] to [package] in Cargo.lock. Old format packages will
      continue to work and can be updated using cargo update.
    + Supports vendoring git repositories.
  * Refresh patch 2004 for new release.
  * Audit logo.svg file from termion crate.
  * debian/patches:
    + Drop patch 1001, its merged upstream.
    + Refresh patch 2002 with new upstream changes.
    + Refresh patch 2001 with newer libgit2-sys changes.
    + Add patch 2005 to prevent executing non-existing mdbook command
      during build.
    + Move part of typo fix for url crate to patch 1001 to 1002. url crate
      is not updated in new cargo release.
  * debian/copyright:
    + Remove copyright for gcc crate.
    + Add copyright information for cc, commoncrypto, crypto-hash,
      redox_syscall. redox_termios and termion crate.
    + Add CONTRIBUTING.md to top Files section.
    + Drop magnet-sys from copyright.


 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 05 Dec 2017 22:03:49 +0530

cargo (0.22.0-1~exp1) experimental; urgency=medium

  * New upstream release.
    + Can now install multiple crates with cargo install.
    + cargo commands inside a virtual workspace will now implicitly pass
      --all.
    + Added [patch] section to Cargo.toml to handle prepublication
      dependencies RFC 1969.
    + include and exclude fields in Cargo.toml now accept gitignore like
      patterns.
    + Added --all-target option.
    + Using required dependencies as a feature is now deprecated and emits
      a warning.
  * Put upstream PR url for patch 1001.
  * Add conv crate file to unsuspicious files.
  * debian/patches:
    + Refresh patches 1001, 2002 and 2004 with new upstream release.
    + Fix typo in cargo search command and related tests.
  * debian/control:
    + Mark package compliance with Debian Policy 4.1.1.
    + Mark priority for package as optional from extra. Priority extra is
      deprecated from Debian Policy 4.0.1.
  * debian/copyright:
    + Add newly added vendor copyright information.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 29 Oct 2017 19:50:42 +0530

cargo (0.21.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Oct 2017 23:30:46 +0200

cargo (0.23.0-0ubuntu1) bionic; urgency=medium

  * Update to 0.23.0

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop patches that are fixed upstream
    - remove debian/patches/1001_fix_spelling_errors.patch
    - update debian/patches/series
  * Don't strip libgit2 from the tarball
    - update debian/vendor-tarball-filter.txt
    - remove debian/libgit2
    - update debian/rules
    - update debian/copyright
    - update debian/README.source
  * Don't depend on mdbook when generating the documentation, as nothing in
    the archive provides it and it isn't needed
    - add debian/patches/dont-depend-on-mdbook.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Nov 2017 16:22:38 +0000

cargo (0.22.0-0ubuntu1) bionic; urgency=medium

  * Update to 0.22.0

  * Refresh patches
    - update debian/patches/2004_clean-cargo-deps.patch
  * Drop debian/patches/fix-libc-build-on-s390x.patch - fixed upstream

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 26 Oct 2017 17:09:43 +0100

cargo (0.21.1-1ubuntu1) artful; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
      than that found in Ubuntu. Do this in debian/ rather than just not
      omitting it from the tarball so that we can share Debian's tarball
      + add debian/libgit2
      + update debian/control
      + update debian/rules
      + update debian/copyright
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      + update debian/rules
    - Backport an upstream fix for the libc crate to hopefully fix the s390x
      build
      - add debian/patches/fix-libc-build-on-s390x.patch
      - update debian/patches/series
      - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Oct 2017 14:35:33 +0100

cargo (0.21.1-1) experimental; urgency=medium

  * debian/control:
    + Add myself as uploader for cargo package.
    + Mark package compliance with Debian Policy 4.1.0.
  * Mark tables.rs from unicode-normalization as unsuspicious.
  * Ignore sublime workspace file from hex crate.
  * debian/copyright:
    + Drop wildcards representing the old crates under vendor folder.
    + Add copyright information for newer crates under vendor
    + Add ARCHITECTURE.* to copyright.
  * debian/patches:
    + Rename patches to follow patch naming guidelines mentioned in
      debian/patches/README.
    + Add patch 1001 to fix spelling errors in cargo output messages.
    + Make patch 2003 DEP-3 compliant.
    + Adjust make_orig_multi.sh to renamed clean-cargo-deps.patch

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 23 Sep 2017 10:41:07 +0530

cargo (0.20.0-2ubuntu3) artful; urgency=medium

  * Merge from Debian, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      + remove debian/bootstrap.py
      + update debian/control
      + update debian/rules
      + update debian/make_orig_multi.sh
    - Embed libgit2 0.25.1 to avoid a dependency on a version which is newer
      than that found in Ubuntu. Do this in debian/ rather than just not
      omitting it from the tarball so that we can share Debian's tarball
      + add debian/libgit2
      + update debian/control
      + update debian/rules
      + update debian/copyright
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x yet
      + update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Oct 2017 00:47:24 +0100

cargo (0.20.0-2) unstable; urgency=medium

  * Work around #865549, fixes FTBFS on ppc64el.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Sep 2017 15:47:55 +0200

cargo (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix cross-compiling declarations, Multi-Arch: foreign => allowed
  * Un-embed libgit2 0.25.1 again. (Closes: #860990)
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Aug 2017 19:13:00 +0200

cargo (0.19.0-0ubuntu1) artful; urgency=medium

  * Update to 0.19.0

  * Refresh debian/patches/clean-cargo-deps.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Aug 2017 10:09:12 +0100

cargo (0.17.0-2) unstable; urgency=medium

  * Re-embed libgit2 0.25.1 due to the Debian testing freeze. It will be
    removed again after the freeze is over, when libgit2 0.25.1 can again
    enter Debian unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 03 May 2017 16:56:03 +0200

cargo (0.17.0-1) unstable; urgency=medium

  * Upload to unstable so we have something to build rustc 1.17.0 with.

 -- Ximin Luo <infinity0@debian.org>  Wed, 03 May 2017 11:24:08 +0200

cargo (0.17.0-1~exp3) experimental; urgency=medium

  * Add git to Build-Depends to fix FTBFS.
  * Mention cross-compiling in the previous changelog entry.

 -- Ximin Luo <infinity0@debian.org>  Tue, 02 May 2017 13:18:53 +0200

cargo (0.17.0-1~exp2) experimental; urgency=medium

  * Bring in some changes from Ubuntu.
    - Rename deps/ to vendor/ as that's what upstream uses, and update
      other files with the new paths too.
    - Remove cargo-vendor-unpack since we no longer need to postprocess
      cargo-vendor output in that way.
  * Document that bootstrap.py probably doesn't work now.
  * Include /usr/share/rustc/architecture.mk in d/rules instead of duplicating
    awkward arch-dependent Makefile snippets.
  * Don't embed libgit2, add a versioned B-D to libgit2-dev.
  * Add support for cross-compiling bootstrap.

 -- Ximin Luo <infinity0@debian.org>  Mon, 01 May 2017 20:49:45 +0200

cargo (0.17.0-1~exp1) experimental; urgency=medium

  * New upstream release. (Closes: #851089, #859312)

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Apr 2017 03:16:04 +0200

cargo (0.17.0-0ubuntu1) zesty; urgency=medium

  * Update to 0.17.0, which is required to work with rustc 1.16

  * Refresh debian/patches/clean-cargo-deps.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 24 Mar 2017 15:19:42 +0000

cargo (0.16.0-0ubuntu1) zesty; urgency=medium

  * Update to 0.16.0 which is required to build Firefox

  * Don't use the bootstrap.py script for bootstrapping - I've spent enough
    time unsuccessfully trying to bootstrap 0.16.0 on Ubuntu with it.
    - remove debian/bootstrap.py
    - remove debian/cargo-vendor-pack.py
    - remove debian/patches/deps-adjust.patch
    - update debian/patches/series
    - update debian/control
    - update debian/rules
  * cargo vendor doesn't produce anything that needs to be unpacked, so just
    save everything directly in vendor/ and remove
    debian/cargo-vendor-unpack.py
  * Rename debian/deps-tarball-filter.txt to debian/vendor-tarball-filter.txt
    to reflect that vendored crates are now in vendor/ rather than deps/
  * For files that we remove from the tarball, we also need to update the
    .cargo-checksum.json files for the corresponding crates, else the build
    fails.
    - add debian/filter-tarball.py
    - update debian/make_orig_multi.sh
  * Pass -x to cargo vendor to save crates with the version number in
    their path
    - update debian/make_orig_multi.sh
  * Refresh debian/patches/clean-cargo-deps.patch
  * Ensure that the rustc triple is calculated correctly on armhf (code
    copied from the rustc package)
    - update debian/rules
  * Create a .cargo/config at build time to tell cargo to use the vendored
    crates
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 10 Mar 2017 13:25:34 +0000

cargo (0.15.0~dev-1) unstable; urgency=medium

  * New upstream snapshot (git 1877f59d6b2cb057f7ef6c6b34b926fd96a683c1)
    - Compatible with OpenSSL 1.1.0 (Closes: #828259)
  * rules: use new link-arg options (Closes: #834980, #837433)
    - Requires rustc >= 1.13

 -- Luca Bruno <lucab@debian.org>  Fri, 25 Nov 2016 23:30:03 +0000

cargo (0.11.0-2) unstable; urgency=high

  * debian/rules: fix RUSTFLAGS quoting (Closes: #834980)

 -- Luca Bruno <lucab@debian.org>  Sun, 21 Aug 2016 18:21:21 +0000

cargo (0.11.0-1) unstable; urgency=medium

  [ Daniele Tricoli ]
  * New upstream release. (Closes: #826938)
    - Update deps tarball.
    - Refresh patches.
    - Drop clean-win-crates.patch since time crate is not a dependency
      anymore.
    - Drop deps-url-fix-toml.patch since merged upstream.

  [ Luca Bruno ]
  * Install subcommand manpages too
  * Move to a bootstrapped (stage1) build by default

 -- Luca Bruno <lucab@debian.org>  Mon, 15 Aug 2016 13:59:04 +0000

cargo (0.9.0-1) unstable; urgency=medium

  * New upstream version
    + Fix deprecation errors (Closes: #822178, #823652)
    + Updated deps tarball
    + Refreshed patches

 -- Luca Bruno <lucab@debian.org>  Sat, 07 May 2016 17:56:28 +0200

cargo (0.8.0-2) unstable; urgency=low

  * Prefer libcurl4-gnutls-dev for building (Closes: #819831)

 -- Luca Bruno <lucab@debian.org>  Tue, 05 Apr 2016 22:23:44 +0200

cargo (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
    + Updated deps tarball
    + Refreshed patches
  * cargo: removed unused lintian overrides

 -- Luca Bruno <lucab@debian.org>  Sat, 05 Mar 2016 22:39:06 +0100

cargo (0.7.0-2) unstable; urgency=medium

  * Bump standards version
  * cargo:
    + add a new stage2 profile
    + preserve original Cargo.lock for clean
    + clean environment to allow multiple builds
  * cargo-doc:
    + update docbase paths after package split
    + do not reference remote jquery
    + do not build under nodoc profile
  * control: update build-deps for build-profiles

 -- Luca Bruno <lucab@debian.org>  Thu, 03 Mar 2016 22:18:32 +0100

cargo (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
    + Updated deps tarball and repack filter
    + Refreshed patches
  * Fixes to debian packaging
    + Updated deps repack script
    + index packing: use the same TAR format as cargo
    + rules: ask cargo to build verbosely
  * Update README.source to match current packaging

 -- Luca Bruno <lucab@debian.org>  Sun, 14 Feb 2016 16:12:55 +0100

cargo (0.6.0-2) unstable; urgency=medium

  * Introduce a cargo-doc package
  * Fails to build when wget is installed. Force curl
    (Closes: #809298)
  * Add the missing VCS- fields

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jan 2016 13:01:16 +0100

cargo (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
    + Updated deps tarball
    + Not shipping a registry index anymore
  * Refreshed bootstrap.py script
    + Skip optional dependencies in stage0
  * Added some crude pack/unpack helpers
  * copyright: cleaned up unused entries
  * rules: major update for new 0.6.0 bootstrap

 -- Luca Bruno <lucab@debian.org>  Fri, 04 Dec 2015 00:42:55 +0100

cargo (0.3.0-2) unstable; urgency=medium

  * Fix install target, removing arch-specific path

 -- Luca Bruno <lucab@debian.org>  Sat, 14 Nov 2015 19:46:57 +0100

cargo (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * First upload to unstable.
  * Update gbp.conf according to git repo structure.
  * patches: downgrade missing_docs lints to simple warnings
    to avoid build failures on newer rustc.

 -- Luca Bruno <lucab@debian.org>  Sat, 14 Nov 2015 17:29:15 +0100

cargo (0.3.0-0~exp1) experimental; urgency=low

  * Team upload.
  * Initial Debian release. (Closes: #786432)

 -- Luca Bruno <lucab@debian.org>  Tue, 11 Aug 2015 20:15:54 +0200
